import React from "react";
type Props = {
    header?: React.ReactElement,
    children: React.ReactNode,
    footer?: React.ReactElement,
    className : string,
}

function BaseLayout( { header, footer, children, className }: Props ) {
    return (
    <div className={className}>
        <header>
            {header}
        </header>

        <main>
            {children}
        </main>

        <footer>
            {footer}
        </footer>
    </div>
    );
  }
  
  export default BaseLayout;
  